Repository 32bit  Forum
Repository 64bit  Wiki

Gnome-Slacky 2.18.2!

Questo forum raccoglie tutte le discussioni sul progetto Gnome Slacky (Gnome per Slackware).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Gslacky usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Gnome-Slacky 2.18.2!

Messaggioda gohanz » mar giu 05, 2007 8:21

Gnome-Slacky 2.18.2 è quasi pronto ed è in fase di testing! :p
Tra le novità Hal 0.5.9 compatibile con la current, NetworkManager, Tracker e Beagle entrambi supportati, come motori di ricerca!

Le altre novità le scriverò ma mano che finisco il test!


Immagine :D
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda submax82 » mar giu 05, 2007 8:51

ottimo gohanz

aggiorna l'installer al 6.0.2 e lancia update-info
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda vaquerito » mar giu 05, 2007 14:59

Ciao gohanz, visto che sono stato anche io a chiedere l'inclusione di tracker volevo segnalarti un bug che si presenta sula mia macchina.
Faccio monitorare a trackerd una filesystem xfs da 200 Gb e dopo una decina di minuti di utilizzo mi blocca la tastiera.
Io l'ho compilato con gstreamer come backend e con il parser pdf abilitato.
Fammi sapere se posso aiutare o dare altre info.
Ciao!
vaquerito
 

Messaggioda gohanz » mar giu 05, 2007 15:31

vaquerito ha scritto:Ciao gohanz, visto che sono stato anche io a chiedere l'inclusione di tracker volevo segnalarti un bug che si presenta sula mia macchina.
Faccio monitorare a trackerd una filesystem xfs da 200 Gb e dopo una decina di minuti di utilizzo mi blocca la tastiera.
Io l'ho compilato con gstreamer come backend e con il parser pdf abilitato.
Fammi sapere se posso aiutare o dare altre info.
Ciao!


Il Tracker di Gslacky 2.18.2 ha tutte le dipendenze abilitate! Non posso replicare il test, perchè non ho ha disposizione una macchina adeguata!
Sul mio PC funziona bene, come Beagle!

Immagine

Comunque se lo vuoi testare! Qui trovi tutto! Richiede Poppler e Gmime, trovi tutto sull' FTp!

http://gnome.slacky.eu/gnome/11.0/2.18. ... 86-3as.tgz

sorgenti!
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda vaquerito » mar giu 05, 2007 17:29

Ok, se posso dare una mano non manchero', stasera provo.
Intanto avevo tralasciato di dirti che il tracker che uso io è quello svn mentre credo tu abbia giustamente preso la stable e questo gia fà una bella differenza... pero la svn ha davvero un macello di migliorie...

Gnome Slacky sta venendo veramente una figata, e visto che anche pat si butta sulle novità potremmo rendere il progetto ancora piu 'moderno' : se hai tempo e voglia di guardarli ti segnalo Affinity che e' un frontend per la ricerca *bello*, visto che tracker ne ha uno decente solo in svn, e AWN che è una barra stile OSX, entrambi sviluppate da Neil J. Patel, http://njpatel.blogspot.com/ che si possono vedere in azione qui:
http://www.youtube.com/watch?v=GIFmsPlBZMM
Ciao!
vaquerito
 

Messaggioda submax82 » mar giu 05, 2007 17:49

AWN -->>> richiede aiglx e quindi xorg 7.x mi pare ... quindi su slack 11.0 non se può
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda jacobbe » mar giu 05, 2007 17:53

Devo ancora provare il progetto Gnome Slacky ma lo proverò nel weekend così ne approfitto per fare pulizia al notebook, intanto complimenti per il grande lavoro e sottoscrivo l'interesse per AWN, richiede un compositor (sia XGL che AIGLX) che però è già disponibile per gli utenti current o per gli utenti che usano slack11+pinkibuild)

Ovviamente poi sarebbe stupendo vedere Gnome Slacky anche per slamd64 :D ma lo so che è chiedere troppo ;)
Grandi ragazzi!
Avatar utente
jacobbe
Linux 1.0
Linux 1.0
 
Messaggi: 76
Iscritto il: sab mag 14, 2005 23:00
Località: Treviso, Padova
Slackware: 12.0

Messaggioda vaquerito » mar giu 05, 2007 19:22

AWN -->>> richiede aiglx e quindi xorg 7.x mi pare ... quindi su slack 11.0 non se può
azz... non ci avevo pensato abituato alla current.
vabbe' finche e' un pacchetto si puo rendere disponibile a parte...
gira gira faremo un repository con i pacchetti da upgradare/aggiungere per chi e' su -current... a parte che non credo zio rilascera' fra molto...
vaquerito
 

Messaggioda submax82 » mar giu 05, 2007 19:30

AWN, richiede un compositor (sia XGL che AIGLX) che però è già disponibile per gli utenti current o per gli utenti che usano slack11+pinkibuild)


no scusa ma l'installazione di gnome-slacky è intesa solo su slack 11.0 pulita
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda jacobbe » mar giu 05, 2007 20:24

Certo avete ragione...
Per ora non ha senso sporcare il progetto.
Avatar utente
jacobbe
Linux 1.0
Linux 1.0
 
Messaggi: 76
Iscritto il: sab mag 14, 2005 23:00
Località: Treviso, Padova
Slackware: 12.0

Messaggioda gohanz » mer giu 06, 2007 7:08

vaquerito ha scritto:Ok, se posso dare una mano non manchero', stasera provo.
Intanto avevo tralasciato di dirti che il tracker che uso io è quello svn mentre credo tu abbia giustamente preso la stable e questo gia fà una bella differenza... pero la svn ha davvero un macello di migliorie...

Gnome Slacky sta venendo veramente una figata, e visto che anche pat si butta sulle novità potremmo rendere il progetto ancora piu 'moderno' : se hai tempo e voglia di guardarli ti segnalo Affinity che e' un frontend per la ricerca *bello*, visto che tracker ne ha uno decente solo in svn, e AWN che è una barra stile OSX, entrambi sviluppate da Neil J. Patel, http://njpatel.blogspot.com/ che si possono vedere in azione qui:
http://www.youtube.com/watch?v=GIFmsPlBZMM
Ciao!


Niente Affinity credo che richieda una versione recente di Xorg, forse compila sulla current, ma sulla 11.0 no!
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda vaquerito » mer giu 06, 2007 16:13

Ciao andrea! come promesso ho fatto tutti i test del caso e il problema con la tua versione non si manifesta :) anzi tracker ha girato senza intoppi per piu di 8 ore.

Non so neanche io se AWN e Affinity compilano sulla current liscia, un peccato per quest'ultimo... il punto in questo caso è che tracker 0.5.4 ha un'interfaccia ridicola e senza un buon front-end il suo utilizzo non si discosta da quello di 'locate' :( e questo è dovuto alla reticenza dgli sviiluppatori a rilasciare un API, ma questa è un'altra storia... l'unica cosa buona che avevano fornito è un'integrazione decente con la dekbar-applet che "non credo funzioni"... e qui mi fermo...

IMHO la questione -current è abbastanza rilevante, so che Slacky fa pacchetti solo per stable e cosi Gnome-slacky e non posso che essere d'accordo, tuttavia non sapendo quando pat rilascerà io mi muoverei... per la cronaca direi che non sono più di 10 pacchetti quelli che vanno aggiornati..approssimativo.. :roll:
lemme know, io sono a disposizione.
Ciao!
vaquerito
 

Messaggioda gohanz » mer giu 06, 2007 18:22

vaquerito ha scritto:Ciao andrea! come promesso ho fatto tutti i test del caso e il problema con la tua versione non si manifesta :) anzi tracker ha girato senza intoppi per piu di 8 ore.

Non so neanche io se AWN e Affinity compilano sulla current liscia, un peccato per quest'ultimo... il punto in questo caso è che tracker 0.5.4 ha un'interfaccia ridicola e senza un buon front-end il suo utilizzo non si discosta da quello di 'locate' :( e questo è dovuto alla reticenza dgli sviiluppatori a rilasciare un API, ma questa è un'altra storia... l'unica cosa buona che avevano fornito è un'integrazione decente con la dekbar-applet che "non credo funzioni"... e qui mi fermo...

IMHO la questione -current è abbastanza rilevante, so che Slacky fa pacchetti solo per stable e cosi Gnome-slacky e non posso che essere d'accordo, tuttavia non sapendo quando pat rilascerà io mi muoverei... per la cronaca direi che non sono più di 10 pacchetti quelli che vanno aggiornati..approssimativo.. :roll:
lemme know, io sono a disposizione.
Ciao!



Per me va bene, ma credo che i pacchetti da ricompilare siano più di 10! Per intenerci occorre ricompilare tutti quelli Perl e Python!
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda submax82 » mer giu 06, 2007 18:33

IMHO la questione -current è abbastanza rilevante, so che Slacky fa pacchetti solo per stable e cosi Gnome-slacky e non posso che essere d'accordo, tuttavia non sapendo quando pat rilascerà io mi muoverei... per la cronaca direi che non sono più di 10 pacchetti quelli che vanno aggiornati..approssimativo.. Rolling Eyes
lemme know, io sono a disposizione.


io non capisco sta fretta!

gnome-slacky funziona su current... se volete pacchetti aggiuntivi compilateli...

un progetto serio a mio parere si deve sempre basare su un ramo stabile altrimenti non ha senso
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda vaquerito » mer giu 06, 2007 23:05

E' bello essere chiari, spieghiamoci :D :
un progetto serio a mio parere si deve sempre basare su un ramo stabile altrimenti non ha senso
so che Slacky fa pacchetti solo per stable e cosi Gnome-slacky e non posso che essere d'accordo
fai un po te ;)

gnome-slacky funziona su current... se volete pacchetti aggiuntivi compilateli...
credo sappiano anche i muri che da questo dissento per quanto mi e' possibile ma qui dipende solo da cosa uno intende per funzionare... ti faccio un esempio, non c'e praticamente nulla di gnome che tu possa compilare su un sistema accroccato current+gslacky senza che giustamente lamenti dipendenze mancanti, ma non perche non ci siano ma solo perche e' errata la versione... per provare, tra gli altri, AWN e Affinity finora ho ricompilato:
Codice: Seleziona tutto
ls /mnt/stored/WIP/gnome-src/
gnome-applets  gnome-common  gnome-icon-theme  gnome-python
ls /mnt/stored/WIP/python-bindings/
dbus-python.tar.bz2  pycairo.tar.bz2  pygobject-2.12.3.tar.bz2  pygtk.tar.bz2"

senza contare che perfino il lettore Exaile non si avviava per lo stesso motivo.

Avere guide e pacchetti pronti per cose "bleeding edge" serve, vi ricordate che panico (in senso positivo ovvio) fece la guida di Meska sull'automount in kde? e l'altro post, sempre di Meska, in cui c'era la prima guida per smanettare con Xorg nuovo e beryl? Guardate il numero di visite e risposte... Ste cose oltre che utili per noi creano interesse verso la comunita', senno sembra che su ubuntu sta roba si puo' avere e qui no... :evil:

ovviamente non mi sogno di dire a chi ha gia' fatto un mega lavoro che deve sobbarcarsi anche questo
lemme know, io sono a disposizione.
ne' di chiedere a loris di ospitarli (meska a suo tempo li mise in uno spazio suo) ma neanche posso mettermi a fare i pacchetti GSlacky-current senza contattare gli autori!!!

in finale, se l'esigenza e' sentita ci organizziamo per, se non gliene frega niente a nessuno... bene cosi! :lol:
CIao!
vaquerito
 

Prossimo

Torna a Gnome Slacky

Chi c’è in linea

Visitano il forum: Yahoo [Bot] e 1 ospite

cron